Bug 116333 - tsclient segmentation fault
tsclient segmentation fault
Product: Fedora
Classification: Fedora
Component: tsclient (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2004-02-19 23:59 EST by Christofer C. Bell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.132-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-20 06:53:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christofer C. Bell 2004-02-19 23:59:58 EST
Description of problem:

tsclient segfaults when trying to open a connection using rdesktop
connecting to Windows XP using Windows Terminal Server as connection
method.  Using rdesktop by itself results in a successful connection.

Version-Release number of selected component (if applicable):


How reproducible:

100% reproducable

Steps to Reproduce:
1. Install and patch rdesktop
2. Install tsclient
3. Run tsclient and enter in the IP address of a Windows XP machine
that has Remote Desktop Sharing enabled and otherwise works when using
rdekstop from the command line.
4. Click the 'Connect' button in tsclient and observe segmentation fault.
Actual results:

tsclient seg faults when attempting a connection.

Expected results:

User is presented with a Windows desktop / login.
Additional info:
Comment 1 Christofer C. Bell 2004-02-20 00:04:22 EST
After installing tsclient-0.132-1.i386.rpm from the development tree
and then removing it, I am able to reinstall tsclient-0-0.120-1 from
the stable tree and the software works.
Comment 2 Mark McLoughlin 2004-02-20 06:53:18 EST
Okay, marking as fixed in rawhide. Thanks

Note You need to log in before you can comment on or make changes to this bug.